> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superlink.me/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Access Token

> Creates an admin token for a partner



## OpenAPI

````yaml POST /v1/partner/access-token
openapi: 3.0.1
info:
  title: Superlink
  description: API for Superlink
  termsOfService: https://assets.superlink.me/tos-v2.html
  contact:
    name: API Support
    url: https://superlink.me/about#contact-us
    email: support@superlink.me
  license:
    name: MIT
  version: 67ce35d94e3c397766edd997341ed79b7283e2f3
servers:
  - url: https://api.superlink.me/
security: []
paths:
  /v1/partner/access-token:
    post:
      tags:
        - partner
      summary: Creates an admin token for a partner
      description: Creates an admin token for a partner
      operationId: create-access-token
      requestBody:
        description: access token create request
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/api.AccessTokenCreateRequest'
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api.AccessTokenResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api.BadRequestResponse'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api.InternalServerErrorResponse'
      security:
        - BearerAuth: []
components:
  schemas:
    api.AccessTokenCreateRequest:
      type: object
      properties:
        label:
          type: string
          example: company-xyz
        validFrom:
          type: string
          example: '2023-06-08T00:00:00Z'
        validTill:
          type: string
          example: '2023-06-15T23:59:59Z'
    api.AccessTokenResponse:
      type: object
      properties:
        createdAt:
          type: string
          example: '2023-06-08T10:30:00Z'
        id:
          type: string
          example: 248b8553-effa-4d99-a906-041a54f7df87
        label:
          type: string
          example: company-xyz
        partnerId:
          type: string
          example: 328b8553-effa-4d99-a906-041a54f7df87
        type:
          type: string
          enum:
            - ADMIN
            - CUSTOMER
        updatedAt:
          type: string
          example: '2023-06-08T15:45:00Z'
        validFrom:
          type: string
          example: '2023-06-08T00:00:00Z'
        validTill:
          type: string
          example: '2023-06-15T23:59:59Z'
        value:
          type: string
          example: <JWT>
    api.BadRequestResponse:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/api.ErrorResponse'
    api.InternalServerErrorResponse:
      type: object
      properties:
        message:
          type: string
          example: Internal server error
    api.ErrorResponse:
      type: object
      properties:
        field:
          type: string
          example: field
        info:
          type: string
          example: error message
  securitySchemes:
    BearerAuth:
      type: apiKey
      description: Type "Bearer" followed by a space and the JWT token.
      name: Authorization
      in: header

````